@import 'src/styles.scss';

thead {
  position: sticky;
  top: 0;
  z-index: 1;
}

.table {
  &__wrapper {
    position: relative;
  }

  &__row {
    border: unset;
    @include tablet-large {
      border-bottom: 1px solid #cfdaf5;
      border-top-width: 0;
    }
  }
}

.column-spacer {
  td {
    @include tablet-large {
      border: 1px solid #cfdaf5;
    }
  }
}

.title {
  &__container {
    display: flex;
    align-items: center;
    column-gap: 0.75rem;
  }

  &__text {
    margin: 0;
    font-size: 1.125rem;
    line-height: 1.25rem;
  }

  &__count-label {
    border-radius: 1rem;
    padding: 0 0.3rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
  }
}

.description {
  font-size: 1.125rem;
  line-height: 1.5rem;
}

.tooltip-mobile {
  &__container {
    margin: 0 0 1.5rem 0;
    font-size: 0.875rem;
    line-height: 1.25rem;
    display: flex;
    gap: 0.25rem;
  }

  &__icon {
    width: 1.25rem;
    height: 1.25rem;
  }

  &__content {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
  }
}

.column {
  position: relative;

  &__icon {
    display: inline-block;
    position: relative;

    img {
      width: unset;
      bottom: -0.25rem;
    }
  }

  &__icon:hover ~ .column__tooltip {
    display: block;
    opacity: 1;
  }

  &__tooltip {
    display: none;
    font-size: 0.875rem;
    line-height: 1rem;
    font-weight: 100;
    max-width: 20rem;
    background-color: #404040;
    color: #ffff;
    text-align: center;
    border-radius: 0.375rem;
    padding: 0.375rem;
    position: absolute;
    z-index: 1;
    bottom: 1.5rem;
    right: -8.3rem;
    margin-left: -3.75rem;
    opacity: 0;
    transition: opacity 0.3s;
    width: 1500%;

    span {
      display: block;
      margin: 0 0 1rem 0;

      &:last-child {
        margin: 0;
      }
    }
  }

  &__tooltip::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -0.375rem;
    border-width: 0.375rem;
    border-style: solid;
    border-color: #404040 transparent transparent transparent;
  }
}

.row {
  &__container {
    &--number {
      text-align: right;
    }

    &--event {
      display: flex;
      flex-wrap: wrap;
      gap: 0.5rem;

      .event-item {
        display: flex;
        gap: 0.25rem;
        align-items: center;
        border: 1px solid #e3e3e3;
        border-radius: 1.5rem;
        background-color: #f5f5f5;
        font-size: 0.875rem;
        line-height: 1rem;
        padding: 0.25rem 0.5rem;
        width: fit-content;
      }
    }

    &--flag {
      display: flex;
      gap: 0.5rem;
      align-items: center;
    }

    &--multiple {
      display: flex;
      flex-direction: column;
    }

    &--progress {
      display: flex;
      align-items: center;
      justify-content: end;
      column-gap: 1rem;
    }

    &--connector {
      display: flex;
      flex-wrap: wrap;
      gap: 1rem;
    }

    &--connector-link {
      display: flex;
      gap: 1rem;
      flex-wrap: wrap;
    }
  }

  &__progress-bar {
    position: relative;
    width: 7.5rem;
    height: 1rem;
    border-radius: 4rem;
    overflow-x: hidden;
    background-color: #d9d9d9;

    .fill {
      position: absolute;
      top: 0;
      left: 0;
      height: 100%;
      background-color: #3e6cd5;
    }
  }

  &__content-container {
    display: flex;
    gap: 0.75rem;

    &:last-child {
      margin: 0;
    }

    &:empty {
      display: none;
    }
  }

  &__label {
    word-break: break-all;
    @include tablet-large {
      word-break: unset;
    }
    font-size: 1rem;
    line-height: 1.5rem;
    align-self: center;

    &.connector {
      align-self: flex-start;
    }
  }

  &__empty-label {
    font-style: italic;
    color: #707070;
  }

  &__country-code {
    border: 1px solid #cfdaf5;
    border-radius: 0.25rem;
    background-color: #f3f6fc;
    padding: 0.25rem 0.5rem;
    height: fit-content;
  }

  &__connector {
    display: block;
    border: 1px solid #dccff5;
    border-radius: 0.25rem;
    background-color: #f6f3fc;
    padding: 0.25rem 0.5rem;
    height: fit-content;
  }
}

.link {
  cursor: pointer;
  color: #0e47cb;
  word-break: break-word;
}

.link-default-color {
  cursor: pointer;
  color: #000000;
  word-break: break-word;
}

.link-default-color:hover {
  color: #0e47cb;
}

.paginator {
  &__container {
    display: flex;
    justify-content: space-between;
    background-color: #f3f6fc;
    padding: 0.75rem;

    &:empty {
      display: none;
    }

    .page-selector {
      &__wrapper {
        font-size: 1rem;
        line-height: 1.25rem;
      }

      &__select {
        display: flex;
        gap: 1rem;
        margin: 0 0 1rem 0;

        .select {
          font-size: 1rem;
          line-height: 1.25rem;
          border: unset;
          color: #004494;
          background-color: transparent;
          cursor: pointer;
        }
      }
    }
  }
}

.clickable {
  cursor: pointer;
  @include tablet-large {
    &:hover {
      background-color: #f3f6fc;
    }
  }
}

.no-padding {
  margin: -0.75rem -2rem -0.75rem -1rem;
}

.ecl-pagination {
  border: none !important;
}

.ecl-no-right-border {
  border-right: 1px solid white !important;
}

button.ee-button-no-design {
  border: none;
  border-radius: 50px;
  background-color: transparent;
}

.ee-no-right-border {
  border-right: transparent !important;
}

tr.ee-no-border-second-child > td:nth-child(2) {
  border-left: none !important;
}

.ee-row-expanded {
  background-color: #f3f6fc !important;
}

.ee-background-color-expanded {
  background-color: #f3f6fc !important;
}

.ee-linked-data-list-title {
  color: #404040;
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: 20px;
}

.ee-chip {
  padding: 4px 12px;
  border-radius: 48px;
  border: 1.5px solid #0e47cb;
  background: #fff;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 16px;
  color: #000000;
  cursor: pointer;
  white-space: nowrap;
}

img.ee-icon-small {
  max-width: 24px;
}

.ee-opacity-30 {
  opacity: 30%;
}
